# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
use strict;
require 5.005;
use ExtUtils::MakeMaker ();
ExtUtils::MakeMaker::WriteMakefile(
            NAME => 'Bivio-bOP',
         VERSION => '0.9',
       EXE_FILES => ['bin/b-http-dispatcher', 'bin/b-realm-role', 'bin/b-release', 'bin/b-sendmail-http'],
          AUTHOR => 'bivio Inc. <info@bivio.net>',
            dist => {COMPRESS => 'gzip -f', SUFFIX => 'gz'},
        ABSTRACT => 'bivio OLTP Web Platform',
       PREREQ_PM => {
  'URI' => '1.04',
  'IO-stringy' => '1.208',
  'MIME-tools' => '4.124',
  'MD5' => '1',
  'Math-BigInteger' => '1',
  'Crypt-CBC' => '1.25',
  'MIME-Base64' => '2.11',
  'Image-Size' => '2.903',
  'Crypt-DES' => '1.01',
  'libwww-perl' => '5.42',
  'TermReadKey' => '2.14',
  'BSD-Resource' => '1.06',
  'libnet' => '1.06',
  'DBI' => '1.11',
  'HTML-Parser' => '2.22'
}
,
);
sub MY::postamble {
    # There's a better way, but I'm too lazy to get this to work right.
    my($libs) = '';
    foreach my $l (qw(socket nsl)) {
        $libs .= ' -l'.$l if -r "/usr/lib/lib$l.a";
    }
    return "BIVIO_C_LIBS=$libs\n".<<'END';
bin/b-sendmail-http:: bin/b-sendmail-http.c
	gcc -g -O -ansi -Wall -o bin/b-sendmail-http bin/b-sendmail-http.c $(BIVIO_C_LIBS)
END
}

