# Copyright (c) 1999 bivio, LLC.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: TaskId.pm,v 1.392 2001/07/29 21:41:56 nagler Exp $
package Bivio::Agent::TaskId;
use strict;
$Bivio::Agent::TaskId::VERSION = sprintf('%d.%02d', q$Revision: 1.392 $ =~ /\d+/g);
$_ = $Bivio::Agent::TaskId::VERSION;

=head1 NAME

Bivio::Agent::TaskId - enum of identifying all tasks in a bOP site

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::Agent::TaskId;

=cut

=head1 EXTENDS

L<Bivio::Type::Enum>

=cut

use Bivio::Type::Enum;
@Bivio::Agent::TaskId::ISA = ('Bivio::Type::Enum');

=head1 DESCRIPTION

C<Bivio::Agent::TaskId> defines all possible "tasks" within bOP site.  A
structure of a task is defined in L<Bivio::Agent::TaskBivio::Agent::Task>.

The syntax of the configuration table is defined as follows.

#TODO: Need to describe format.

=cut

#=IMPORTS
use Bivio::IO::ClassLoader;

#=VARIABLES
my($_CFG) = Bivio::IO::ClassLoader->delegate_require_info(__PACKAGE__);

__PACKAGE__->compile([
    map {($_->[0], [$_->[1]])} @$_CFG
]);

=head1 METHODS

=cut

=for html <a name="get_cfg_list"></a>

=head2 static get_cfg_list() : array_ref

ONLY TO BE CALLED BY L<Bivio::Agent::Tasks>.

=cut

sub get_cfg_list {
    return $_CFG;
}

=for html <a name="is_continuous"></a>

=head2 static is_continuous() : false

Task Ids aren't continuous.  Tasks can go away.

=cut

sub is_continuous {
    return 0;
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 1999,2000 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: TaskId.pm,v 1.392 2001/07/29 21:41:56 nagler Exp $

=cut

1;
