# Copyright (c) 1999 bivio, LLC.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: Club.pm,v 1.6 2001/06/25 14:43:29 nagler Exp $
package Bivio::Auth::Realm::Club;
use strict;
$Bivio::Auth::Realm::Club::VERSION = sprintf('%d.%02d', q$Revision: 1.6 $ =~ /\d+/g);

=head1 NAME

Bivio::Auth::Realm::Club - defines the realm owned by a particular club

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::Auth::Realm::Club;
    Bivio::Auth::Realm::Club->new(Bivio::Biz::Model::Club owner);

=cut

=head1 EXTENDS

L<Bivio::Auth::Realm>

=cut

use Bivio::Auth::Realm;
@Bivio::Auth::Realm::Club::ISA = qw(Bivio::Auth::Realm);

=head1 DESCRIPTION

C<Bivio::Auth::Realm::Club> defines the realm owned by a particular
L<Bivio::Biz::Model::Club|Bivio::Biz::Model::Club>.

=cut

#=IMPORTS

#=VARIABLES

=head1 FACTORIES

=cut

=for html <a name="new"></a>

=head2 static new(Bivio::Biz::Model::RealmOwner owner) : Bivio::Auth::Realm::Club

Define the realm owned by this particular club.

=cut

sub new {
    my($proto, $owner) = @_;
    return &Bivio::Auth::Realm::new($proto, $owner);
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 1999 bivio, LLC.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: Club.pm,v 1.6 2001/06/25 14:43:29 nagler Exp $

=cut

1;
