# Copyright (c) 1999 bivio, LLC.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: General.pm,v 1.6 2001/07/29 21:41:56 nagler Exp $
package Bivio::Auth::Realm::General;
use strict;
$Bivio::Auth::Realm::General::VERSION = sprintf('%d.%02d', q$Revision: 1.6 $ =~ /\d+/g);

=head1 NAME

Bivio::Auth::Realm::General - defines the realm without an owner

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::Auth::Realm::General;

=cut

=head1 EXTENDS

L<Bivio::Auth::Realm>

=cut

use Bivio::Auth::Realm;
@Bivio::Auth::Realm::General::ISA = ('Bivio::Auth::Realm');

=head1 DESCRIPTION

C<Bivio::Auth::Realm::General> defines the "default" realm, i.e.
the one without a specific owner.

=cut

#=IMPORTS
use Bivio::IO::Config;

#=VARIABLES
my($_SELF);

=head1 FACTORIES

=cut

=for html <a name="new"></a>

=head2 static new() : Bivio::Auth::Realm::General

=cut

sub new {
    my($proto) = @_;
    return Bivio::Auth::Realm::new($proto);
}

=head1 METHODS

=cut

=for html <a name="get_instance"></a>

=head2 static get_instance() : Bivio::Auth::Realm::General

Returns the singleton instance of the general realm.

=cut

sub get_instance {
    my($proto) = @_;
    $_SELF = $proto->new unless $_SELF;
    return $_SELF;
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 1999 bivio, LLC.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: General.pm,v 1.6 2001/07/29 21:41:56 nagler Exp $

=cut

1;
