# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: SimpleFacadeChildType.pm,v 1.1 2001/06/25 21:01:50 moeller Exp $
package Bivio::Delegate::SimpleFacadeChildType;
use strict;
$Bivio::Delegate::SimpleFacadeChildType::VERSION = sprintf('%d.%02d', q$Revision: 1.1 $ =~ /\d+/g);
$_ = $Bivio::Delegate::SimpleFacadeChildType::VERSION;

=head1 NAME

Bivio::Delegate::SimpleFacadeChildType - default facades variations

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::Delegate::SimpleFacadeChildType;

=cut

use Bivio::Delegate;
@Bivio::Delegate::SimpleFacadeChildType::ISA = ('Bivio::Delegate');

=head1 DESCRIPTION

C<Bivio::Delegate::SimpleFacadeChildType>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="get_delegate_info"></a>

=head2 get_delegate_info() : array_ref

Defines the configuration used.

=cut

sub get_delegate_info {
    # There must be a DEFAULT.
    return [
	DEFAULT => [
	    0,
	    'Normal',
	],
    ];
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: SimpleFacadeChildType.pm,v 1.1 2001/06/25 21:01:50 moeller Exp $

=cut

1;
