# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: SimpleFormErrors.pm,v 1.1 2001/06/25 21:01:50 moeller Exp $
package Bivio::Delegate::SimpleFormErrors;
use strict;
$Bivio::Delegate::SimpleFormErrors::VERSION = sprintf('%d.%02d', q$Revision: 1.1 $ =~ /\d+/g);
$_ = $Bivio::Delegate::SimpleFormErrors::VERSION;

=head1 NAME

Bivio::Delegate::SimpleFormErrors - default form error formats

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::Delegate::SimpleFormErrors;

=cut

use Bivio::Delegate;
@Bivio::Delegate::SimpleFormErrors::ISA = ('Bivio::Delegate');

=head1 DESCRIPTION

C<Bivio::Delegate::SimpleFormErrors>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="get_delegate_info"></a>

=head2 static get_delegate_info() : string_ref

Returns the form error definitions.

=cut

sub get_delegate_info {
    my($info) = <<'EOF';


NULL
You must supply a value for $label.
%%
EOF
    return \$info;
};

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: SimpleFormErrors.pm,v 1.1 2001/06/25 21:01:50 moeller Exp $

=cut

1;
