# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: CartItem.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $
package Bivio::PetStore::Model::CartItem;
use strict;
$Bivio::PetStore::Model::CartItem::VERSION = sprintf('%d.%02d', q$Revision: 1.2 $ =~ /\d+/g);
$_ = $Bivio::PetStore::Model::CartItem::VERSION;

=head1 NAME

Bivio::PetStore::Model::CartItem - order line item

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::Model::CartItem;

=cut

=head1 EXTENDS

L<Bivio::Biz::PropertyModel>

=cut

use Bivio::Biz::PropertyModel;
@Bivio::PetStore::Model::CartItem::ISA = ('Bivio::Biz::PropertyModel');

=head1 DESCRIPTION

C<Bivio::PetStore::Model::CartItem>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="internal_initialize"></a>

=head2 internal_initialize() : hash_ref

B<FOR INTERNAL USE ONLY>

    cart_id NUMBER(18) not null,
    cart_item_id NUMBER(18) not null,
    item_id VARCHAR(30) not null,
    quantity NUMBER(10) not null,
    unit_price number(10,2) not null,
    constraint pk_cart_item primary key (cart_id, cart_item_id),
    constraint fk_cart_item_1 foreign key (cart_id)
        references cart_t (cart_id)

=cut

sub internal_initialize {
    return {
	version => 1,
	table_name => 'cart_item_t',
	columns => {
	    cart_id => ['Cart.cart_id', 'PRIMARY_KEY'],
	    cart_item_id => ['PrimaryId', 'PRIMARY_KEY'],
	    item_id => ['Item.item_id', 'NOT_NULL'],
	    quantity => ['Integer', 'NOT_NULL'],
	    unit_price => ['Price', 'NOT_NULL'],
	},
    };
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: CartItem.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $

=cut

1;
