# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: Category.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $
package Bivio::PetStore::Model::Category;
use strict;
$Bivio::PetStore::Model::Category::VERSION = sprintf('%d.%02d', q$Revision: 1.2 $ =~ /\d+/g);
$_ = $Bivio::PetStore::Model::Category::VERSION;

=head1 NAME

Bivio::PetStore::Model::Category - product category

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::Model::Category;

=cut

=head1 EXTENDS

L<Bivio::Biz::PropertyModel>

=cut

use Bivio::Biz::PropertyModel;
@Bivio::PetStore::Model::Category::ISA = ('Bivio::Biz::PropertyModel');

=head1 DESCRIPTION

C<Bivio::PetStore::Model::Category>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="internal_initialize"></a>

=head2 internal_initialize() : hash_ref

B<FOR INTERNAL USE ONLY>

    category_id VARCHAR(30) not null,
    name VARCHAR(100),
    description VARCHAR(500),
    constraint pk_category primary key (category_id)

=cut

sub internal_initialize {
    return {
	version => 1,
	table_name => 'category_t',
	columns => {
	    category_id => ['Name', 'PRIMARY_KEY'],
	    name => ['Line', 'NONE'],
	    description => ['Text', 'NONE'],
	},
    };
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: Category.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $

=cut

1;
