# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: EntityAddress.pm,v 1.4 2001/06/25 14:43:30 nagler Exp $
package Bivio::PetStore::Model::EntityAddress;
use strict;
$Bivio::PetStore::Model::EntityAddress::VERSION = sprintf('%d.%02d', q$Revision: 1.4 $ =~ /\d+/g);
$_ = $Bivio::PetStore::Model::EntityAddress::VERSION;

=head1 NAME

Bivio::PetStore::Model::EntityAddress - an entity address

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::Model::EntityAddress;

=cut

=head1 EXTENDS

L<Bivio::Biz::PropertyModel>

=cut

use Bivio::Biz::PropertyModel;
@Bivio::PetStore::Model::EntityAddress::ISA = ('Bivio::Biz::PropertyModel');

=head1 DESCRIPTION

C<Bivio::PetStore::Model::EntityAddress>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="internal_initialize"></a>

=head2 internal_initialize() : hash_ref

B<FOR INTERNAL USE ONLY>

    entity_id NUMBER(18) not null,
    location NUMBER(2) check (location between 1 and 3) not null,
    addr1 VARCHAR2(100),
    addr2 VARCHAR2(100),
    city VARCHAR2(30),
    state VARCHAR2(30),
    zip VARCHAR2(30),
    country CHAR(2),
    constraint pk_entity_address primary key (entity_id, location),
    constraint fk_entity_address_1 foreign key (entity_id)
        references entity_t (entity_id)

=cut

sub internal_initialize {
    return {
	version => 1,
	table_name => 'entity_address_t',
	columns => {
            entity_id => ['Entity.entity_id', 'PRIMARY_KEY'],
	    location => ['EntityLocation', 'PRIMARY_KEY'],
	    addr1 => ['Line', 'NOT_NULL'],
	    addr2 => ['Line', 'NONE'],
	    city => ['Name', 'NOT_NULL'],
	    state => ['Name', 'NOT_NULL'],
	    zip => ['Name', 'NOT_NULL'],
	    country => ['Country', 'NOT_NULL'],
        },
    };
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: EntityAddress.pm,v 1.4 2001/06/25 14:43:30 nagler Exp $

=cut

1;
