# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: Inventory.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $
package Bivio::PetStore::Model::Inventory;
use strict;
$Bivio::PetStore::Model::Inventory::VERSION = sprintf('%d.%02d', q$Revision: 1.2 $ =~ /\d+/g);
$_ = $Bivio::PetStore::Model::Inventory::VERSION;

=head1 NAME

Bivio::PetStore::Model::Inventory - item inventory

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::Model::Inventory;

=cut

=head1 EXTENDS

L<Bivio::Biz::PropertyModel>

=cut

use Bivio::Biz::PropertyModel;
@Bivio::PetStore::Model::Inventory::ISA = ('Bivio::Biz::PropertyModel');

=head1 DESCRIPTION

C<Bivio::PetStore::Model::Inventory>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="internal_initialize"></a>

=head2 internal_initialize() : hash_ref

B<FOR INTERNAL USE ONLY>

    item_id VARCHAR(30) not null,
    quantity NUMBER(10) not NULL,
    constraint pk_inventory primary key (item_id),
    constraint fk_inventory_1 foreign key (item_id)
	references item_t (item_id)

=cut

sub internal_initialize {
    return {
	version => 1,
	table_name => 'inventory_t',
	columns => {
	    item_id => ['Item.item_id', 'PRIMARY_KEY'],
	    quantity => ['Integer', 'NOT_NULL'],
	},
    };
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: Inventory.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $

=cut

1;
