# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: OrderConfirmationForm.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $
package Bivio::PetStore::Model::OrderConfirmationForm;
use strict;
$Bivio::PetStore::Model::OrderConfirmationForm::VERSION = sprintf('%d.%02d', q$Revision: 1.2 $ =~ /\d+/g);
$_ = $Bivio::PetStore::Model::OrderConfirmationForm::VERSION;

=head1 NAME

Bivio::PetStore::Model::OrderConfirmationForm - order confirmation sub form

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::Model::OrderConfirmationForm;

=cut

=head1 EXTENDS

L<Bivio::Biz::FormModel>

=cut

use Bivio::Biz::FormModel;
@Bivio::PetStore::Model::OrderConfirmationForm::ISA = ('Bivio::Biz::FormModel');

=head1 DESCRIPTION

C<Bivio::PetStore::Model::OrderConfirmationForm>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="execute_ok"></a>

=head2 execute_ok()

Saves the 'confirmed' state into the order context.

=cut

sub execute_ok {
    my($self) = @_;
    $self->put_context_fields(confirmed_order => 1);
    return;
}

=for html <a name="internal_initialize"></a>

=head2 internal_initialize() : hash_ref;

B<FOR INTERNAL USE ONLY>

=cut

sub internal_initialize {
    my($self) = @_;
    my($info) = {
	require_context => 1,
	version => 1,
    };
    return $self->merge_initialize_info(
	    $self->SUPER::internal_initialize, $info);
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: OrderConfirmationForm.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $

=cut

1;
