# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: OrderStatus.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $
package Bivio::PetStore::Model::OrderStatus;
use strict;
$Bivio::PetStore::Model::OrderStatus::VERSION = sprintf('%d.%02d', q$Revision: 1.2 $ =~ /\d+/g);
$_ = $Bivio::PetStore::Model::OrderStatus::VERSION;

=head1 NAME

Bivio::PetStore::Model::OrderStatus - order status

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::Model::OrderStatus;

=cut

=head1 EXTENDS

L<Bivio::Biz::PropertyModel>

=cut

use Bivio::Biz::PropertyModel;
@Bivio::PetStore::Model::OrderStatus::ISA = ('Bivio::Biz::PropertyModel');

=head1 DESCRIPTION

C<Bivio::PetStore::Model::OrderStatus>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="internal_initialize"></a>

=head2 internal_initialize() : hash_ref

B<FOR INTERNAL USE ONLY>

    order_id NUMBER(18) not null,
    user_id NUMBER(18) not null,
    time_stamp date not null,
    status NUMBER(2) check (status between 1 and 2) not null,
    constraint pk_order_status primary key (order_id),
    constraint fk_order_status_1 foreign key (order_id)
        references order_t (order_id),
    constraint fk_order_status_2 foreign key (user_id)
        references user_account_t (user_id)

=cut

sub internal_initialize {
    return {
	version => 1,
	table_name => 'order_status_t',
	columns => {
            order_id => ['Order.order_id', 'PRIMARY_KEY'],
	    user_id => ['UserAccount.user_id', 'NOT_NULL'],
	    time_stamp => ['Date', 'NOT_NULL'],
	    status => ['OrderStatus', 'NOT_NULL'],
	},
	auth_id => 'user_id',
    };
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: OrderStatus.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $

=cut

1;
