# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: ProductList.pm,v 1.4 2001/06/27 05:54:50 nagler Exp $
package Bivio::PetStore::Model::ProductList;
use strict;
$Bivio::PetStore::Model::ProductList::VERSION = sprintf('%d.%02d', q$Revision: 1.4 $ =~ /\d+/g);
$_ = $Bivio::PetStore::Model::ProductList::VERSION;

=head1 NAME

Bivio::PetStore::Model::ProductList - list of products by category

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::Model::ProductList;

=cut

=head1 EXTENDS

L<Bivio::Biz::ListModel>

=cut

use Bivio::Biz::ListModel;
@Bivio::PetStore::Model::ProductList::ISA = ('Bivio::Biz::ListModel');

=head1 DESCRIPTION

C<Bivio::PetStore::Model::ProductList>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="internal_initialize"></a>

=head2 internal_initialize() : hash_ref;

B<FOR INTERNAL USE ONLY>

=cut

sub internal_initialize {
    return {
	version => 1,

	# List of fields which uniquely identify each row in this list
	primary_key => [
	    ['Product.product_id'],
	],

	# Allow sorting by name and product_id
	order_by => [
	    'Product.name',
	    'Product.product_id'
	],

	# Narrows query to just this category_id; selectable by ListQuery
	parent_id => ['Product.category_id'],
    };
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: ProductList.pm,v 1.4 2001/06/27 05:54:50 nagler Exp $

=cut

1;
