# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: Supplier.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $
package Bivio::PetStore::Model::Supplier;
use strict;
$Bivio::PetStore::Model::Supplier::VERSION = sprintf('%d.%02d', q$Revision: 1.2 $ =~ /\d+/g);
$_ = $Bivio::PetStore::Model::Supplier::VERSION;

=head1 NAME

Bivio::PetStore::Model::Supplier - item supplier

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::Model::Supplier;

=cut

=head1 EXTENDS

L<Bivio::Biz::PropertyModel>

=cut

use Bivio::Biz::PropertyModel;
@Bivio::PetStore::Model::Supplier::ISA = ('Bivio::Biz::PropertyModel');

=head1 DESCRIPTION

C<Bivio::PetStore::Model::Supplier>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="internal_initialize"></a>

=head2 internal_initialize() : hash_ref

B<FOR INTERNAL USE ONLY>

    supplier_id NUMBER(18) not null,
    name VARCHAR2(100) not null,
    status NUMBER(2) not null,
    constraint pk_supplier primary key (supplier_id),
    constraint fk_supplier_1 foreign key (supplier_id)
        references entity_t (entity_id)

=cut

sub internal_initialize {
    return {
	version => 1,
	table_name => 'supplier_t',
	columns => {
            supplier_id => ['Entity.entity_id', 'PRIMARY_KEY'],
	    name => ['Line', 'NOT_NULL'],
	    status => ['SupplierStatus', 'NOT_NULL'],
	},
    };
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: Supplier.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $

=cut

1;
