# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: UserAccount.pm,v 1.4 2001/06/25 14:43:30 nagler Exp $
package Bivio::PetStore::Model::UserAccount;
use strict;
$Bivio::PetStore::Model::UserAccount::VERSION = sprintf('%d.%02d', q$Revision: 1.4 $ =~ /\d+/g);
$_ = $Bivio::PetStore::Model::UserAccount::VERSION;

=head1 NAME

Bivio::PetStore::Model::UserAccount - user account for ordering

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::Model::UserAccount;

=cut

=head1 EXTENDS

L<Bivio::Biz::PropertyModel>

=cut

use Bivio::Biz::PropertyModel;
@Bivio::PetStore::Model::UserAccount::ISA = ('Bivio::Biz::PropertyModel');

=head1 DESCRIPTION

C<Bivio::PetStore::Model::UserAccount>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="internal_initialize"></a>

=head2 internal_initialize() : hash_ref

B<FOR INTERNAL USE ONLY>

    user_id NUMBER(18) not null,
    entity_id NUMBER(18) not null,
    status NUMBER(2) not null,
    user_type NUMBER(2) check (user_type between 1 and 2) not null,
    constraint pk_account primary key (user_id),
    constraint fk_account_1 foreign key (entity_id)
        references entity_t (entity_id),
    constraint fk_account_2 foreign key (user_id)
        references user_t (user_id)

=cut

sub internal_initialize {
    return {
	version => 1,
	table_name => 'user_account_t',
	columns => {
            user_id => ['User.user_id', 'PRIMARY_KEY'],
            entity_id => ['Entity.entity_id', 'NOT_NULL'],
	    status => ['UserStatus', 'NOT_NULL'],
	    user_type => ['UserType', 'NOT_NULL'],
	    last_cart_id => ['Cart.cart_id', 'NONE'],
	},
	auth_id => 'user_id',
    };
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: UserAccount.pm,v 1.4 2001/06/25 14:43:30 nagler Exp $

=cut

1;
