# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: CreditCardYear.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $
package Bivio::PetStore::Type::CreditCardYear;
use strict;
$Bivio::PetStore::Type::CreditCardYear::VERSION = sprintf('%d.%02d', q$Revision: 1.2 $ =~ /\d+/g);
$_ = $Bivio::PetStore::Type::CreditCardYear::VERSION;

=head1 NAME

Bivio::PetStore::Type::CreditCardYear - credit card year values

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::Type::CreditCardYear;

=cut

=head1 EXTENDS

L<Bivio::Type::Enum>

=cut

use Bivio::Type::Enum;
@Bivio::PetStore::Type::CreditCardYear::ISA = ('Bivio::Type::Enum');

=head1 DESCRIPTION

C<Bivio::PetStore::Type::CreditCardYear>

=cut

#=IMPORTS

#=VARIABLES
__PACKAGE__->compile([
    Y2001 => [
        2001,
        '2001',
    ],
    Y2002 => [
        2002,
        '2002',
    ],
    Y2003 => [
        2003,
        '2003',
    ],
    Y2004 => [
        2004,
        '2004',
    ],
    Y2005 => [
        2005,
        '2005',
    ],
    Y2006 => [
        2006,
        '2006',
    ],
    Y2007 => [
        2007,
        '2007',
    ],
    Y2008 => [
        2008,
        '2008',
    ],
    Y2009 => [
        2009,
        '2009',
    ],
    Y2010 => [
        2010,
        '2010',
    ],
]);

=head1 METHODS

=cut

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: CreditCardYear.pm,v 1.2 2001/06/25 14:43:30 nagler Exp $

=cut

1;
