# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: TypeError.pm,v 1.3 2001/06/25 21:09:57 moeller Exp $
package Bivio::PetStore::TypeError;
use strict;
$Bivio::PetStore::TypeError::VERSION = sprintf('%d.%02d', q$Revision: 1.3 $ =~ /\d+/g);
$_ = $Bivio::PetStore::TypeError::VERSION;

=head1 NAME

Bivio::PetStore::TypeError - Pet Store type errors

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::TypeError;

=cut

use Bivio::Delegate::SimpleTypeError;
@Bivio::PetStore::TypeError::ISA = ('Bivio::Delegate::SimpleTypeError');

=head1 DESCRIPTION

C<Bivio::PetStore::TypeError>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="get_delegate_info"></a>

=head2 static get_delegate_info() : array_ref

Returns the task declarations.

=cut

sub get_delegate_info {
    my($proto) = @_;
    return [
    @{$proto->SUPER::get_delegate_info},
    TOTAL_EXCEEDS_PRECISION => [
	501,
	undef,
	'The cart total exceeds the allowed precision.',
    ],
];
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: TypeError.pm,v 1.3 2001/06/25 21:09:57 moeller Exp $

=cut

1;
