# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: FormErrors.pm,v 1.4 2001/06/25 21:12:01 moeller Exp $
package Bivio::PetStore::UI::FormErrors;
use strict;
$Bivio::PetStore::UI::FormErrors::VERSION = sprintf('%d.%02d', q$Revision: 1.4 $ =~ /\d+/g);
$_ = $Bivio::PetStore::UI::FormErrors::VERSION;

=head1 NAME

Bivio::PetStore::UI::FormErrors - pet shop form error formats

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::UI::FormErrors;

=cut

use Bivio::Delegate::SimpleFormErrors;
@Bivio::PetStore::UI::FormErrors::ISA = ('Bivio::Delegate::SimpleFormErrors');

=head1 DESCRIPTION

C<Bivio::PetStore::UI::FormErrors>

=cut

#=IMPORTS

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="get_delegate_info"></a>

=head2 static get_delegate_info() : string_ref

Returns the form error definitions.

=cut

sub get_delegate_info {
    my($proto) = @_;
    my($info) = <<'EOF'.${$proto->SUPER::get_delegate_info};
LoginForm
RealmOwner.password
PASSWORD_MISMATCH
The password you entered does not match the value stored
in our database.
Please remember that passwords are case-sensitive, i.e.
"HELLO" is not the same as "hello".
%%
EOF
    return \$info;
};

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: FormErrors.pm,v 1.4 2001/06/25 21:12:01 moeller Exp $

=cut

1;
