# Copyright (c) 2001 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: Search.pm,v 1.4 2001/06/25 14:43:30 nagler Exp $
package Bivio::PetStore::UI::Search;
use strict;
$Bivio::PetStore::UI::Search::VERSION = sprintf('%d.%02d', q$Revision: 1.4 $ =~ /\d+/g);
$_ = $Bivio::PetStore::UI::Search::VERSION;

=head1 NAME

Bivio::PetStore::UI::Search - search box and button

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::PetStore::UI::Search;

=cut

=head1 EXTENDS

L<Bivio::UI::Widget>

=cut

use Bivio::UI::Widget;
@Bivio::PetStore::UI::Search::ISA = ('Bivio::UI::Widget');

=head1 DESCRIPTION

C<Bivio::PetStore::UI::Search>

=cut

#=IMPORTS
use Bivio::Agent::TaskId;
use Bivio::UI::Font;

#=VARIABLES
my($_PACKAGE) = __PACKAGE__;

=head1 METHODS

=cut

=for html <a name="initialize"></a>

=head2 initialize()

Does nothing.  Widget is entirely dynamic.

=cut

sub initialize {
    return;
}

=for html <a name="render"></a>

=head2 render(any source, string_ref buffer)

Render the input field.

=cut

sub render {
    my($self, $source, $buffer) = @_;
    my($req) = $source->get_request;

    my($field_prefix, $field_suffix) = Bivio::UI::Font->format_html(
	    'input_field', $req);

    $$buffer .= '<br><form method=get action="'
	    .$req->format_stateless_uri(Bivio::Agent::TaskId->PRODUCT_SEARCH)
	    .'">'
	    .$field_prefix.'<input type=text size=14 name=s>'.$field_suffix
	    .' '
	    .'<input type=image border=0 alt="Search" '
		    .'src="/i/search.gif">'
	    .'</form>';
    return;
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2001 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: Search.pm,v 1.4 2001/06/25 14:43:30 nagler Exp $

=cut

1;
