# Copyright (c) 1999,2000 bivio Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: Gender.pm,v 1.4 2001/06/25 14:43:31 nagler Exp $
package Bivio::Type::Gender;
use strict;
$Bivio::Type::Gender::VERSION = sprintf('%d.%02d', q$Revision: 1.4 $ =~ /\d+/g);
$_ = $Bivio::Type::Gender::VERSION;

=head1 NAME

Bivio::Type::Gender - defines male, female, and unknown genders

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::Type::Gender;

=cut

=head1 EXTENDS

L<Bivio::Type::Enum>

=cut

use Bivio::Type::Enum;
@Bivio::Type::Gender::ISA = ('Bivio::Type::Enum');

=head1 DESCRIPTION

C<Bivio::Type::Gender> defines male, female, and unknown gender values.

=over 4

=item UNKNOWN

=item FEMALE

=item MALE

=back

=cut

#=IMPORTS

#=VARIABLES
__PACKAGE__->compile([
    UNKNOWN => [0, 'Unspecified'],
    FEMALE => [1],
    MALE => [2],
]);

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 1999,2000 bivio Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: Gender.pm,v 1.4 2001/06/25 14:43:31 nagler Exp $

=cut

1;
