# Copyright (c) 2000 bivio, Inc.  All rights reserved.
#
# This program is free software and is provided "as is" without express
# or implied warranty.  It may be used, redistributed, and/or modified
# under the terms of the Perl Artistic License:
# http://www.opensource.org/licenses/artistic-license.html
# 
# $Id: PageSize.pm,v 1.2 2001/06/25 14:43:31 nagler Exp $
package Bivio::Type::PageSize;
use strict;
$Bivio::Type::PageSize::VERSION = sprintf('%d.%02d', q$Revision: 1.2 $ =~ /\d+/g);

=head1 NAME

Bivio::Type::PageSize - number of lines on a page for ListModel queries

=head1 RELEASE SCOPE

bOP

=head1 SYNOPSIS

    use Bivio::Type::PageSize;
    Bivio::Type::PageSize->new();

=cut

=head1 EXTENDS

L<Bivio::Type::Integer>

=cut

use Bivio::Type::Integer;
@Bivio::Type::PageSize::ISA = ('Bivio::Type::Integer');

=head1 DESCRIPTION

C<Bivio::Type::PageSize> is the number of lines on a page for
ListModel queries.  It is a user preference.

=cut

#=IMPORTS

#=VARIABLES

=head1 METHODS

=cut

=for html <a name="get_default"></a>

=head2 get_default() : int

Returns 15.

=cut

sub get_default {
    return 15;
}

=for html <a name="get_max"></a>

=head2 get_max() : integer

Returns 500.

=cut

sub get_max {
    return 500;
}

=for html <a name="get_min"></a>

=head2 get_min() : int

Returns 5.

=cut

sub get_min {
    return 5;
}

#=PRIVATE METHODS

=head1 COPYRIGHT

Copyright (c) 2000 bivio, Inc.  All rights reserved.

This program is free software and is provided "as is" without express
or implied warranty.  It may be used, redistributed, and/or modified
under the terms of the Perl Artistic License:
http://www.opensource.org/licenses/artistic-license.html

=head1 VERSION

$Id: PageSize.pm,v 1.2 2001/06/25 14:43:31 nagler Exp $

=cut

1;
